Package ghidra.util.table.field

# Class FunctionInlineSettingsDefinition

java.lang.Object
ghidra.util.table.field.FunctionInlineSettingsDefinition

All Implemented Interfaces:
  `BooleanSettingsDefinition`, `SettingsDefinition`

public class FunctionInlineSettingsDefinition extends Object implements BooleanSettingsDefinition

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FunctionInlineSettingsDefinition`
  `DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionInlineSettingsDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear(Settings settings)`
  Removes any values in the given settings object associated with this settings definition
  `void`
  `copySetting(Settings srcSettings, Settings destSettings)`
  Copies any setting value associated with this settings definition from the srcSettings settings to the destSettings.
  `String`
  `getDescription()`
  Returns a description of this settings definition
  `String`
  `getName()`
  Returns the display name of this SettingsDefinition
  `String`
  `getStorageKey()`
  Get the `Settings` key which is used when storing a key/value entry.
  `boolean`
  `getValue(Settings settings)`
  gets the value for this SettingsDefinition given a Settings object.
  `String`
  `getValueString(Settings settings)`
  Get the setting value as a string which corresponds to this definition.
  `boolean`
  `hasValue(Settings settings)`
  Determine if a setting value has been stored
  `void`
  `setValue(Settings settings, boolean value)`
  Sets the given value into the given settings object using this settingsDefinition as the key.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.docking.settings.BooleanSettingsDefinition

  `hasSameValue`

- ## Field Details

  - ### DEF

    public static final FunctionInlineSettingsDefinition DEF

- ## Constructor Details

  - ### FunctionInlineSettingsDefinition

    public FunctionInlineSettingsDefinition()

- ## Method Details

  - ### getValue

    public boolean getValue(Settings settings)
    Description copied from interface: `BooleanSettingsDefinition`
    gets the value for this SettingsDefinition given a Settings object.
    Specified by:
      `getValue` in interface `BooleanSettingsDefinition`
    Parameters:
      `settings` - the set of Settings values for a particular location or null for default value.
    Returns:
      the values for this settings object given the context.

  - ### getValueString

    public String getValueString(Settings settings)
    Description copied from interface: `SettingsDefinition`
    Get the setting value as a string which corresponds to this definition. A default value string will be returned if a setting has not been stored.
    Specified by:
      `getValueString` in interface `SettingsDefinition`
    Parameters:
      `settings` - settings
    Returns:
      value string or null if not set and default has not specified by this definition

  - ### setValue

    public void setValue(Settings settings, boolean value)
    Description copied from interface: `BooleanSettingsDefinition`
    Sets the given value into the given settings object using this settingsDefinition as the key.
    Specified by:
      `setValue` in interface `BooleanSettingsDefinition`
    Parameters:
      `settings` - the settings object to store the value in.
      `value` - the value to store in the settings object using this settingsDefinition as the key.

  - ### copySetting

    public void copySetting(Settings srcSettings, Settings destSettings)
    Description copied from interface: `SettingsDefinition`
    Copies any setting value associated with this settings definition from the srcSettings settings to the destSettings.
    Specified by:
      `copySetting` in interface `SettingsDefinition`
    Parameters:
      `srcSettings` - the settings to be copied
      `destSettings` - the settings to be updated.

  - ### clear

    public void clear(Settings settings)
    Description copied from interface: `SettingsDefinition`
    Removes any values in the given settings object associated with this settings definition
    Specified by:
      `clear` in interface `SettingsDefinition`
    Parameters:
      `settings` - the settings object to be cleared.

  - ### getDescription

    public String getDescription()
    Description copied from interface: `SettingsDefinition`
    Returns a description of this settings definition
    Specified by:
      `getDescription` in interface `SettingsDefinition`
    Returns:
      setting description

  - ### getName

    public String getName()
    Description copied from interface: `SettingsDefinition`
    Returns the display name of this SettingsDefinition
    Specified by:
      `getName` in interface `SettingsDefinition`
    Returns:
      display name for setting

  - ### getStorageKey

    public String getStorageKey()
    Description copied from interface: `SettingsDefinition`
    Get the `Settings` key which is used when storing a key/value entry.
    Specified by:
      `getStorageKey` in interface `SettingsDefinition`
    Returns:
      settings storage key

  - ### hasValue

    public boolean hasValue(Settings settings)
    Description copied from interface: `SettingsDefinition`
    Determine if a setting value has been stored
    Specified by:
      `hasValue` in interface `SettingsDefinition`
    Parameters:
      `settings` - stored settings
    Returns:
      true if a value has been stored, else false